## Class TWizardNavigationEventParameter

Description

TWizardNavigationEventParameter class.

TWizardNavigationEventParameter represents the parameter for TWizard's navigation events.

The index of the currently active step can be obtained from CurrentStepIndex, while the index of the candidate new step is in NextStepIndex. By modifying NextStepIndex, the new step can be changed to another one. If there is anything wrong with the navigation and it is not wanted, set CancelNavigation to true.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 1833)

    TComponent
       |
       --TEventParameter
          |
          --TWizardNavigationEventParameter

Method Summary
TWizardNavigationEventParameter __construct (integer $currentStep)
boolean getCancelNavigation ()
integer getCurrentStepIndex ()
integer getNextStepIndex ()
void setCancelNavigation (boolean $value)
void setNextStepIndex (integer $index)
Methods
Constructor __construct (line 1843)

Constructor.

- access: public

TWizardNavigationEventParameter __construct (integer $currentStep)

- integer $currentStep: current step index

getCancelNavigation (line 1876)

- return: whether navigation to the next step should be canceled. Default to false.
- access: public

boolean getCancelNavigation ()
getCurrentStepIndex (line 1852)

- return: the zero-based index of the currently active step.
- access: public

integer getCurrentStepIndex ()
getNextStepIndex (line 1860)

- return: the zero-based index of the next step. Default to CurrentStepIndex.
- access: public

integer getNextStepIndex ()
setCancelNavigation (line 1884)

- access: public

void setCancelNavigation (boolean $value)

- boolean $value: whether navigation to the next step should be canceled.

setNextStepIndex (line 1868)

- access: public

void setNextStepIndex (integer $index)

- integer $index: the zero-based index of the next step.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:48 -0400 by phpDocumentor 1.3.0RC4